2008-06-16 Francesco Fumanti <frfumanti@svn.gnome.org>

	* NEWS: Prepare 2.23.6 release.

2008-08-04 Gerd Kohlberger <gerdk@svn.gnome.org>

	* configure.ac: Check for libgnomeui
	* src/Makefile.am: Use GNOME_COMPILE_WARNINGS.
 
	* src/mt-ctw.c: Add header file.
	* src/mt-main.c: (main): spi_leaks might be used uninitialized.
	* src/mt-pidfile.c: Add header file.

	Fix new compile warnings.

2008-07-28 Gerd Kohlberger <gerdk@svn.gnome.org>

	Patch by Matthias Clasen. Fixes #545059.

	* src/mt-common.h:
	* data/DwellClick_Factory.server.in.in:
	* data/PointerCapture_Factory.server.in.in:
	Use standard icon name.

2008-07-20 Gerd Kohlberger <gerdk@svn.gnome.org>

	* configure.ac:
	* README:

	Post release version bump: 2.23.6

2008-07-20 Gerd Kohlberger <gerdk@svn.gnome.org>
	
	* NEWS: Prepare 2.23.5 release.

2008-07-16 Gerd Kohlberger <gerdk@svn.gnome.org>
	
	Patch by Thadeu Lima de Souza Cascardo (bug #543272)

	* configure.ac: Add dependency to xcursor

2008-07-09 Gerd Kohlberger <gerdk@svn.gnome.org>

	* Makefile.am: Add ofm.make and xmldocs.make to EXTRA_DIST.
	Disable schemas install for distcheck.

2008-07-08 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/mt.main.c: Make sure we really click on the current positon of
	the pointer. Part of the GOK workaround.
	* src/mt-cursor-manager.c: Don't send cursor_changed signals if
	the new cursor has no name.
	eg. busy, custom pixmap cursors.

2008-07-08 Gerd Kohlberger <gerdk@svn.gnome.org>

	* configure.ac: Remove AC_SUBST for LINGUAS path.

2008-07-06 Gerd Kohlberger <gerdk@svn.gnome.org>

	* help/Makefile.am: Add -Wno-portability to get rid of
	gnome-doc-utils warnings.
	* src/Makefile.am: Use GNOME_MAINTAINER_MODE_DEFINES.
	* data/Makefile.am: Don't try to install schemas.in files. Sigh.

	* configure.ac:
	* Makefile.am:
	Use m4 subdir for macros + bump intltool requirement to 0.40.0 +
	misc. nitpicking.

2008-07-06 Gerd Kohlberger <gerdk@svn.gnome.org>

	* data/dwell-click-applet.glade:
	* data/pointer-capture-applet.glade:	
	Finally add Francesco to doc credits. See changelog from 2008-03-27.

2008-07-06 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/mt-main.c: (accessibility_enabled): Avoid getting launched by
	g-s-d again when we disable our gconf keys.
	* src/dwell-click-applet.c: Remove an unused var and some cleanup.

2008-07-06 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/mt-timer.c: Remove unnecessary g_timer_stop() calls.

2008-07-06 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/mt-main.c:
	* src/mt-timer.c:
	* man/mousetweaks.1:

	Change the dwell delay range from 0.5-3.0 sec to 0.2-3.0 sec.

2008-06-26 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/dwell-click-applet.c: Add time animation to enable button.

2008-06-24 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/mt-main.c: (dwell_do_pointer_click): Add a short delay between
	button-press and -release events. This should allow GOK to handle
	events generated by mousetweaks.

	For details see bug #538004

2008-06-23 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/mt-common.c: Fix compiler warnings
	* src/mt-main.c: (main): Report at-spi leaks if there are any.
	(within_tolerance): rename function to below_threshold and
	remove sqrt() and pow() calls.

2008-06-16 Francesco Fumanti <frfumanti@svn.gnome.org>

	* configure.ac:
	* README:

	Post release version increment: 2.23.5

2008-06-16 Francesco Fumanti <frfumanti@svn.gnome.org>

	* NEWS: Prepare 2.23.4 release.

2008-06-15 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/mt-main.c: Remove unnecessary casts.

2008-06-15 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/mt-main.c: Move 'drag-release' code to more appropriate place.

2008-06-15 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/mt-main.c: (main): Use correct _unref function.
	(spi_button_event): Use position info from event.
	(spi_motion_event): Remove whitespace.

2008-06-02 Francesco Fumanti <frfumanti@svn.gnome.org>

	* configure.ac:
	* README:

	Post release version increment to 2.23.4

2008-06-02 Francesco Fumanti <frfumanti@svn.gnome.org>

	* NEWS: Prepare 2.23.3 release.

2008-06-01 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/dwell-click-applet.c: Change 'enable dwell' icon to a label.

2008-05-19 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/mt-main.c: Fix typos.

2008-05-17 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/dwell-click-applet.c:
	Fix ref counting bug.
	Add on/off button to activate dwelling.

2008-05-17 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/dwell-click-applet.c: Use a macro instead of calling
	glade_xml_get_widget all the time.

2008-05-17 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/dwell-click-applet.c:
	Show a warning if we can't launch gnome-mouse-properties.
	Fix minor HIG issue in warning strings.

2008-05-17 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/dwell-click-applet.c:
	Check on start-up if the daemon is already running.
	Remove some unnecessary casts. 

2008-05-14 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/mt-main.c: Add more command-line options.
	* man/mousetweaks.1: Add new options.

2008-05-12 Francesco Fumanti <frfumanti@svn.gnome.org>

	* configure.ac:
	* README:

	Post release version bump: 2.23.3

2008-05-12 Francesco Fumanti <frfumanti@svn.gnome.org>

	* NEWS: Prepare 2.23.2 release.

2008-05-12 Gerd Kohlberger <gerdk@svn.gnome.org>

	* po/POTFILES.in: Add mt-common.c

2008-05-12 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/mt-main.c:
	Initialize GnomeProgram in child process.
	Add more info to the a11y warning dialog.
	Plug minor options leak.

2008-05-08 Gerd Kohlberger <gerdk@svn.gnome.org>
	* src/mt-common.c:
	* src/mt-common.h:
	Add more dialog types.
	
	* src/pointer-capture-applet.c:
	* src/dwell-click-applet.c:
	Switch to new dialog function.

	* src/mt-main.c:
	Improve the Assistive Technology warning dialog and add an
	'Enable and Log Out' button, similar to GOK. (Bug #531693)

2008-04-21 Gerd Kohlberger <gerdk@svn.gnome.org>

	* configure.ac:
	* README:

	Post release version bump: 2.23.2

2008-04-21 Gerd Kohlberger <gerdk@svn.gnome.org>

	* NEWS: Prepare 2.23.1 release and remove pre-GNOME news.
	* po/ChangeLog: Add some missing entries.

2008-04-17 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/mt-main.c/h: Add simple line drawing for gesture mode.

2008-04-17 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/mt-main.c:
	* src/mt-cusor-manager.c:
	Handle cursor theme changes correctly.

2008-04-06 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/mt-timer.c: Remove unused variables.
	* src/mt-main.c: Don't send right-clicks too fast. This helps
	to avoid running into active pointer grabs. (eg. gnome-panel)

2008-03-30 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/Makefile.am: LDFLAGS -> LDADD.
	Make sure "-Wl,--as-needed" gets a front row seat. Fixes bug #525032.

2008-03-29 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/dwell-click-applet.c: Use new 'show-page' option of mouse capplet.

2008-03-29 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/mt-cusor.c/h: Initial commit.
	* src/mt-cusor-manager.c/h: Initial commit.
	* src/Makefile.am: Add new cursor files.
	* src/mt-main.c/h: Use new objects. Add cursor drawing code.
	* src/mt-common.h: New animate_cursor option.
	* data/mousetwaks.schemas.in: New animate_cursor option.

	Add cursor animation to give visual feedback for the internal
	state of the timers. For dwell-click this means - how long the 
	cursor has been motionless, for secondary clicks - how long the
	primary button has been pressed.
	
2008-03-28 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/mt-main.c: Check gconf value types before using them.

2008-03-28 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/mt-timer.c: Add new 'tick' signal. Remove properties.
	* src/mt-timer.h: Clean up.
	* src/mt-main.c: Use changed function name.

2008-03-27 Gerd Kohlberger <gerdk@svn.gnome.org>

	* po/POTFILES.in: Remove deleted mt-dbus.c file.

2008-03-27 Gerd Kohlberger <gerdk@svn.gnome.org>

	* data/pointer-capture-applet.glade:
	* data/dwell-click-applet.glade:

	Add more credits to about dialog and update copyright year.
	No doc credits yet - glade doesn't like modifying documenters atm. 

2008-03-27 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/pointer-capture-applet.c: Clean up.

2008-03-27 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/mt-service.c:
	* src/mt-service.h:
	* src/mousetweaks-service.xml:
	* src/Makefile.am:

	Added new dbus object with introspection.

	* src/mt-main.c:
	* src/mt-main.h:
	* src/mt-common.h:
	* src/dwell-click-applet.c:
	* src/mt-ctw.c:
	* src/mt-ctw.h:

	Use new dbus object and some general code clean up.

2008-03-25 Gerd Kohlberger <gerdk@svn.gnome.org>

	* ChangeLog: Remove pre-gnome changes.

2008-03-25 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/mt-main.c: Fix typo.
	* data/pointer-capture.glade: Button -> Mouse button
	* data/pointer-capture.schemas.in: Enclose literal values in double quotes.
	* data/mousetweaks.schemas.in: Enclose literal values in double quotes.

	Fixes bug #516191.

2008-03-20 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/mt-main.c: Add options context description.

2008-03-20 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/Makefile.am: Remove unused PIXDIR.

	* src/dwell-click-applet.c:
	* data/ctw.glade:
	* pixmaps/Makefile.am:

	Rename pixmaps to remove ubuntuism.

2008-03-20 Gerd Kohlberger <gerdk@svn.gnome.org>

	* configure.ac:
	* src/Makefile.am:
	* data/Makefile.am:
	
	Clean up build system.
	
	* src/mt-main.c: Remove obsolete session support.
	
	* src/dwell-click-applet.c:
	* src/pointer-capture-applet.c:
	* src/mt-ctw.c:
	* src/mt-main.c:
	
	Use new DATADIR.

2008-03-15 Gerd Kohlberger <gerdk@svn.gnome.org>

	* configure.ac:
	* README:

	Version bump for new cycle: 2.23.1

2008-03-10 Francesco Fumanti <frfumanti@svn.gnome.org>

	* configure.ac:
	* README:

	Post release version bump: 2.22.1

2008-03-10 Francesco Fumanti <frfumanti@svn.gnome.org>

	* NEWS: Prepare 2.22.0 release.

2008-02-24 Gerd Kohlberger <gerdk@svn.gnome.org>

	* configure.ac:
	* README:

	Post release version bump: 2.22.0

2008-02-24 Gerd Kohlberger <gerdk@svn.gnome.org>

	* NEWS: Prepare 2.21.92 release.

2008-02-13 Gerd Kohlberger <gerdk@svn.gnome.org>

	* configure.ac: Add bugzilla info.
	* README: Remove launchpad bug info.

2008-02-10 Gerd Kohlberger <gerdk@svn.gnome.org>

	* configure.ac:
	* README:

	Post release version bump: 2.21.92

2008-02-10 Gerd Kohlberger <gerdk@svn.gnome.org>

	* NEWS: Prepare 2.21.91 release.

2008-02-09 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/*: Update copyright.

2008-02-06 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/mt-common.h: Use proper dbus naming conventions.
	* data/DwellClick_Factory.server.in.in: Set bonobo environment. 

2008-02-06 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/dwell-click-applet.c: Add some error checking.

2008-02-05 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/mt-ctw.c: 
	* data/ctw.glade:
	
	Fix input focus handling in click-type window.

2008-02-04 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/mt-main.c: Improve --shutdown handling.

2008-02-04 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/Makefile.am: Remove some CFLAGS to be buildable on Solaris. 

	Fixes bug #188872 (launchpad). Patch by Li Yuan.

2008-01-31 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/mt-main.c: Fix critical gconf error.
	Threshold option is integer, not float.

2008-01-27 Francesco Fumanti <frfumanti@svn.gnome.org>

	* configure.ac:
	* README:

	Post release version increment to 2.21.91

2008-01-27 Francesco Fumanti <frfumanti@svn.gnome.org>

	* NEWS:

	Prepare for 2.21.90 release 

2008-01-22 Gerd Kohlberger <gerdk@svn.gnome.org>

	* man/mousetweaks.1
	* man/dwell-click-applet.1
	* man/pointer-capture-applet.1
	
	Update bug information and some restructuring.
	
2008-01-21 Francesco Fumanti <frfumanti@svn.gnome.org>

	* README:

	Fix version in README changed by mistake in revision 28

2008-01-21 Francesco Fumanti <frfumanti@svn.gnome.org>

	* man/dwell-click-applet.1:
	* man/pointer-capture-applet.1:

	Add man pages for the two panel applets

2008-01-21 Francesco Fumanti <frfumanti@svn.gnome.org>

	* man/mousetweaks.1:

	Differentiate minus and hyphen in man page

2008-01-21 Francesco Fumanti <frfumanti@svn.gnome.org>

	* README:

	Add homepage of mousetweaks to README

2008-01-21 Gerd Kohlberger <gerdk@svn.gnome.org>

	* src/mt-main.c: Fix command-line -m switch to enable the correct mode.

2008-01-21 Gerd Kohlberger <gerdk@svn.gnome.org>

	* data/mousetweaks.schemas.in:
	* data/pointer-capture-applet.schemas.in:
	* data/Makefile.am:
	* po/POTFILES.in:

	Mark schema files for translation and update descriptions.
	
2008-01-20 Gerd Kohlberger <gerdk@svn.gnome.org>

	* data/PointerCapture.xml:
	* data/DwellClick.xml:
	* data/Makefile.am:
	* src/dwell-click-applet.c:
	* src/pointer-capture-applet.c:
	
	Move applet context menus to external XML file
	
	* po/POTFILES.in: Add new XML files

2008-01-15 Francesco Fumanti <frfumanti@svn.gnome.org>

	* src/Makefile.am:

	Remove trailing space after backslash at end-of-line

2008-01-13 Gerd Kohlberger <gerdk@svn.gnome.org>

	* configure.ac:
	* README:

	Post release version increment: 2.21.90

2008-01-13 Gerd Kohlberger <gerdk@svn.gnome.org>

	* NEWS:
	* README:

	Prepare for 2.21.5 release

2008-01-13 Gerd Kohlberger <gerdk@svn.gnome.org>

	* COPYING: Update license information to FDL 1.2

2008-01-13 Francesco Fumanti <frfumanti@svn.gnome.org>

	* MAINTAINERS
	
	Fix the entry for gerdk in the MAINTAINERS file; the 
	entry for frfumanti was fixed during revision 4.

2008-01-11 Gerd Kohlberger <gerdk@svn.gnome.org>

	* Intial commit
	* configure.ac: Bump version to 2.21.5

